{% extends 'base.html.twig' %}

{% block bodyHeader %}
    {% if post.id is defined and post.id is not null %}
        <a href="{{ path('post_show', {id: post.id}) }}" class="btn btn-outline-light">
            <i class="fa fa-arrow-left mr-2"></i>Retour
        </a>
    {% endif %}
{% endblock %}

{% block body %}
    <form action="" method="post">
        <div class="jumbotron jumbotron-dark rounded-0 text-white py-5">
            <div class="row">
                <div class="col p-0 d-flex justify-content-between">
                    <div class="form-group col-md-7">
                        {{ form_label(form.mainTitle) }}
                        {{ form_widget(form.mainTitle) }}
                        {{ form_error(form.mainTitle) }}
                    </div>
                    <div class="form-group col-md-5">
                        {{ form_label(form.category) }}
                        {{ form_widget(form.category) }}
                        {{ form_error(form.category) }}
                    </div>
                </div>
            </div>
            <hr class="mb-2 mt-0 bg-secondary">
            <div class="form-group">
                {{ form_label(form.shortDescription) }}
                {{ form_widget(form.shortDescription) }}
                {{ form_error(form.shortDescription) }}
            </div>
        </div>
        <div class="card card-dark mt-3 text-white card-paragraph">
            <div class="card-content">
                <div class="card-body">
                    <div class="form-group">
                        {{ form_label(form.content) }}
                        {{ form_widget(form.content) }}
                        {{ form_error(form.content) }}
                    </div>
                </div>
            </div>
        </div>
        <div class="mt-2">
            <button class="btn btn-success float-right">
                Enregistrer
            </button>
        </div>
    </form>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    <script src="https://cdn.tiny.cloud/1/22soq91vfkbh3lu6b300y311vrakd57cwovupvibeza9vlht/tinymce/5/tinymce.min.js"
            referrerpolicy="origin"></script>
    <script src="/assets/js/post/form.js"></script>
{% endblock %}